curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/production-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"input": {
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billsOfMaterials": [
{
"name": "<string>",
"operations": [
{
"operationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"items": [
{
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"measurementUnitId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
],
"description": "<string>",
"additionalShelfLifeEndDateTime": "<string>"
}
],
"isCustomized": true,
"lotLabelTemplateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"singleItemLabelTemplateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"lotSizes": [
{
"lotSize": 123
}
]
}
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/production-items"
payload = { "input": {
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billsOfMaterials": [
{
"name": "<string>",
"operations": [
{
"operationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"items": [
{
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"measurementUnitId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
],
"description": "<string>",
"additionalShelfLifeEndDateTime": "<string>"
}
],
"isCustomized": True,
"lotLabelTemplateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"singleItemLabelTemplateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"lotSizes": [{ "lotSize": 123 }]
} }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
input: {
itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
billsOfMaterials: [
{
name: '<string>',
operations: [
{
operationId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
items: [
{
itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
quantity: 123,
measurementUnitId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
}
]
}
],
description: '<string>',
additionalShelfLifeEndDateTime: '<string>'
}
],
isCustomized: true,
lotLabelTemplateId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
singleItemLabelTemplateId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
lotSizes: [{lotSize: 123}]
}
})
};
fetch('https://api.jtl-cloud.com/erp/v2/production-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Creates a new production item, including its bills of materials with their components.
Creates a new production item, including its bills of materials with their components.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
Request parameters
Creates a new production item, including its bills of materials with their components. - Request
The input for creating the production item, including the details of the production item itself and the bills of materials and lot sizes to be created for the production item.
Show child attributes
Show child attributes
Response
Successfully created a production item.
Creates a new production item, including its bills of materials with their components. - Response
The ID of the newly created production item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?